Contenu | Rechercher | Menus

Annonce

Ubuntu-fr vend de superbes t-shirts et de belles clés USB 32Go
Rendez-vous sur la boutique En Vente Libre

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 13/12/2019, à 23:42

Milkdo

[RESOLU] Openboard sur 18.04

Bonjour,
J'ai ubuntu 18.04 sur un pc  (et 19.10 sur un autre pc)
J'aimerai y installer un logiciel pour TBI (écran plat interactif) de marque benq.
J'ai pensé à Openboard.
En suivant l'installation pour ubuntu 16.04, j'ai le message d'erreur suivant avec gdebi
"erreur : la dépendance ne peut être satisfaite : libavformat-ffmpeg56 (>=7:2.8.15)"

Qu'est ce que je fais?
- Trouver un autre logiciel pour TBI? lequel?
- Essayer de faire la dépendance... est-ce possible? comment?
- Revenir à la version ubuntu 16.04... c'est dommage non?
- autres idées?

Merci d'avance



******************************* la marche à suivre *************

1. Télécharger le fichier de ce lien :
openboard est dispo pour ubuntu 18.04 mais en version pre release, ça fonctionne globalement
https://github.com/OpenBoard-org/OpenBo … 3-ubuntu18


2. Installer gdebi si besoin

sudo apt install gdebi

Lancer l'installation du fichier télécharger ci-dessus avec gdebi (clic droit/ouvrir avec/gdebi)
ou en mode console (si le fichier est dans le répertoire Téléchargements

sudo gdebi Téléchargements/openboard_ubuntu_18.04_1.5.3_amd64.deb

3. Faire les dépendances
Mettre à jour la base de données des paquets

sudo apt update 

Dans un terminal lancer openboard et regarder les erreurs

openboard

le retour :

openboard: error while loading shared libraries: libQt5Script.so.5: cannot open shared object file: No such file or directory

Rechercher dans quel paquet se trouve cette libraries libQt5Script...

apt-file search libQt5WebKitWidgets.so.5

le retour

libqt5webkit5: /usr/lib/x86_64-linux-gnu/libQt5WebKitWidgets.so.5
libqt5webkit5: /usr/lib/x86_64-linux-gnu/libQt5WebKitWidgets.so.5.212.0

Installer le paquet qui contient cette librarie

sudo apt install libqt5webkit5

Même chose pour une autre librairie

login:~$ openboard
openboard: error while loading shared libraries: libQt5Script.so.5: cannot open shared object file: No such file or directory
login:~$ apt-file search libQt5Script.so.5
libqt5script5: /usr/lib/x86_64-linux-gnu/libQt5Script.so.5
libqt5script5: /usr/lib/x86_64-linux-gnu/libQt5Script.so.5.9
libqt5script5: /usr/lib/x86_64-linux-gnu/libQt5Script.so.5.9.5
login:~$ sudo apt install libqt5script5

puis lancer openboard depuis le terminal ou par le menu des applications.

Dernière modification par Milkdo (Le 14/12/2019, à 20:53)

Hors ligne

#2 Le 13/12/2019, à 23:54

Nuliel

Re : [RESOLU] Openboard sur 18.04

openboard ne gère pas le tableau, il faut toujours installer le pilote.
openboard est dispo pour ubuntu 18.04 mais en version pre release, ça fonctionne globalement: https://github.com/OpenBoard-org/OpenBo … 3-ubuntu18


[ poster un retour de commande ] [ poster une photo ]
thinkpad x220, Thinkstation E32 modifié: i5-4570, GTX 1060 6 Gb, 16 Gb de RAM, ...
Pour reprendre le contrôle des semences: https://kokopelli-semences.fr/fr/

Hors ligne

#3 Le 14/12/2019, à 00:08

Milkdo

Re : [RESOLU] Openboard sur 18.04

Naziel a écrit :

openboard ne gère pas le tableau, il faut toujours installer le pilote.
openboard est dispo pour ubuntu 18.04 mais en version pre release, ça fonctionne globalement: https://github.com/OpenBoard-org/OpenBo … 3-ubuntu18

L'écran interactif (ce n'est pas un TBI) est bien reconnu par le pc sans pilote. Le tactile fonctionne bien aussi! Connection au PC en HDMI et USB.

L'installation d'openboard à fonctionné mais quand je lance voila ce que j'ai

enfant2@enfant2-Latitude-E5540:~$ openboard
openboard: error while loading shared libraries: libQt5WebKitWidgets.so.5: cannot open shared object file: No such file or directory
enfant2@enfant2-Latitude-E5540:~$ 
enfant2@enfant2-Latitude-E5540:~$ 

Meme erreur à l'installation pour 19.10

Dernière modification par Milkdo (Le 14/12/2019, à 00:13)

Hors ligne

#4 Le 14/12/2019, à 12:56

Nuliel

Re : [RESOLU] Openboard sur 18.04

Si cela fonctionne, c'est que le pilote est inclus dans le noyau, parce que openboard ne gère pas le tableau

Tu as essayé le deb adapté à ubuntu 18.04 que j'ai proposé?


[ poster un retour de commande ] [ poster une photo ]
thinkpad x220, Thinkstation E32 modifié: i5-4570, GTX 1060 6 Gb, 16 Gb de RAM, ...
Pour reprendre le contrôle des semences: https://kokopelli-semences.fr/fr/

Hors ligne

#5 Le 14/12/2019, à 13:08

Milkdo

Re : [RESOLU] Openboard sur 18.04

Naziel a écrit :

Si cela fonctionne, c'est que le pilote est inclus dans le noyau, parce que openboard ne gère pas le tableau

Apparemment, l'écran fonctionne comme une souris! pas de pilote, juste un matos "plug-and-play"! En tout cas, l'affichage fonctionne, le tactile fonctionne.... donc ca me parait bon pour openboard.


Tu as essayé le deb adapté à ubuntu 18.04 que j'ai proposé?

oui oui. C'est ce que je disais. L'installation à fonctionné.
MAIS....
Si je le lance par l'icone des applications, ca charge puis rien ne se passe.
Si je lance d'une console, ca mets l'erreur suivante

enfant2@enfant2-Latitude-E5540:~$ openboard
openboard: error while loading shared libraries: libQt5WebKitWidgets.so.5: cannot open shared object file: No such file or directory
enfant2@enfant2-Latitude-E5540:~$ 

Je ne sais pas quoi faire avec ça!

Hors ligne

#6 Le 14/12/2019, à 13:28

Nuliel

Re : [RESOLU] Openboard sur 18.04

Et tu as supprimé avant le paquet pour ubuntu 16.04 que tu avais installé auparavant? (je pense qu'il y a actuellement les deux versions qui sont installées)


[ poster un retour de commande ] [ poster une photo ]
thinkpad x220, Thinkstation E32 modifié: i5-4570, GTX 1060 6 Gb, 16 Gb de RAM, ...
Pour reprendre le contrôle des semences: https://kokopelli-semences.fr/fr/

Hors ligne

#7 Le 14/12/2019, à 13:34

Milkdo

Re : [RESOLU] Openboard sur 18.04

Naziel a écrit :

Et tu as supprimé avant le paquet pour ubuntu 16.04 que tu avais installé auparavant? (je pense qu'il y a actuellement les deux versions qui sont installées)

Non sûrement pas.
Tu peux m'aider?
(en console, je ne suis pas assez experte, je ne connais pas assez bien les commandes,
avec la logitech, on n'y voit pas grand chose, je ne trouve pas chose!)

Hors ligne

#8 Le 14/12/2019, à 13:39

inbox

Re : [RESOLU] Openboard sur 18.04

Salut,

Il y a certainement un dépendance manquante.

Pour connaître le nom du paquet contenant le fichier libQt5WebKitWidgets.so.5, il faut passer la commande suivante :

apt-file search libQt5WebKitWidgets.so.5

Sur mon système cela retourne :

libqt5webkit5: /usr/lib/i386-linux-gnu/libQt5WebKitWidgets.so.5
libqt5webkit5: /usr/lib/i386-linux-gnu/libQt5WebKitWidgets.so.5.212.0

On sait donc qu'il faut installer le paquet libqt5webkit5.

A+


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#9 Le 14/12/2019, à 13:52

Nuliel

Re : [RESOLU] Openboard sur 18.04

Je crois qu'il va aussi y avoir d'autres problèmes de dépendances, c'est pour ça que je pensais partir sur la pre release.
Que donne

dpkg -l | grep openboard

[ poster un retour de commande ] [ poster une photo ]
thinkpad x220, Thinkstation E32 modifié: i5-4570, GTX 1060 6 Gb, 16 Gb de RAM, ...
Pour reprendre le contrôle des semences: https://kokopelli-semences.fr/fr/

Hors ligne

#10 Le 14/12/2019, à 13:54

Milkdo

Re : [RESOLU] Openboard sur 18.04

j'ai encore des soucis

enfant2@enfant2-Latitude-E5540:~$ apt-file search libQt5WebKitWidgets.so.5
E: The cache is empty. You need to run "apt update" first.
enfant2@enfant2-Latitude-E5540:~$ apt update
Lecture des listes de paquets... Fait
E: Impossible d'ouvrir le fichier verrou /var/lib/apt/lists/lock - open (13: Permission non accordée)
E: Impossible de verrouiller le répertoire /var/lib/apt/lists/
W: Problème de suppression du lien /var/cache/apt/pkgcache.bin - RemoveCaches (13: Permission non accordée)
W: Problème de suppression du lien /var/cache/apt/srcpkgcache.bin - RemoveCaches (13: Permission non accordée)
enfant2@enfant2-Latitude-E5540:~$ apt-file search libQt5WebKitWidgets.so.5
E: The cache is empty. You need to run "apt update" first.
enfant2@enfant2-Latitude-E5540:~$ ^C

Hors ligne

#11 Le 14/12/2019, à 13:55

Milkdo

Re : [RESOLU] Openboard sur 18.04

enfant2@enfant2-Latitude-E5540:~$ dpkg -l | grep openboard
ii  openboard                                  1.5.3                                           amd64        OpenBoard, an interactive white board application
enfant2@enfant2-Latitude-E5540:~$ 

Hors ligne

#12 Le 14/12/2019, à 14:10

inbox

Re : [RESOLU] Openboard sur 18.04

Comme on utilise "sudo" et non "root", sous Ubuntu, il faut passer la commande suivante :

sudo apt update

et non

apt update

Mais comme je l'ai écrit, le paquet à installer est libqt5webkit5. La commande sera donc :

sudo apt install libqt5webkit5

Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#13 Le 14/12/2019, à 16:21

Milkdo

Re : [RESOLU] Openboard sur 18.04

Et voila la réponse...

enfant2@enfant2-Latitude-E5540:~$ openboard
openboard: error while loading shared libraries: libQt5Script.so.5: cannot open shared object file: No such file or directory
enfant2@enfant2-Latitude-E5540:~$ 

Est ce que je refais les même manip?
--> chercher le paquet que contient ce fichier  "sudo apt-file search ...."
--> installation du paquet "sudo apt install ... "

Dernière modification par Milkdo (Le 14/12/2019, à 16:25)

Hors ligne

#14 Le 14/12/2019, à 16:28

inbox

Re : [RESOLU] Openboard sur 18.04

Même principe que pour la librairie manquante précédente :

apt-file search libQt5Script.so.5

Qui va t'indiquer le nom du paquet à installer :

sudo apt install libqt5script5

Et ainsi de suite...


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#15 Le 14/12/2019, à 16:32

Milkdo

Re : [RESOLU] Openboard sur 18.04

Ca y'est... openboard s'ouvre!!! :-D

J'ai encore ce warrning qui ne me parait pas trop important!!!

enfant2@enfant2-Latitude-E5540:~$ openboard
QObject::connect: No such signal UBApplication::messageReceived(const QString&, QObject*)
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
libpng warning: iCCP: known incorrect sRGB profile
Persisting document; path is "/home/enfant2/.local/share/OpenBoard/document/OpenBoard Document 2019-12-14 15-29-53.905/metadata.rdf"
enfant2@enfant2-Latitude-E5540:~$ 

Hors ligne

#16 Le 14/12/2019, à 16:35

inbox

Re : [RESOLU] Openboard sur 18.04

A toi de voir si cela gène le fonctionnement d'Openboard ou non.

Les avertissement ne semble pas problématiques.


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#17 Le 14/12/2019, à 18:02

Milkdo

Re : [RESOLU] Openboard sur 18.04

Bon apparemment les fonctions de base sont correctes. Je ne connais pas encore ce logiciel, donc je vais apprendre!
J'ai modifié mon 1er message, le plus explicite possible et j’espère sans erreur!

merci encore pour toutes ces manip!

Hors ligne

#18 Le 14/12/2019, à 18:05

Milkdo

Re : [RESOLU] Openboard sur 18.04

J'ai pu refaire cette installation sur un autre pc avec ubuntu 18.04 -->  Nickel.

Mais sur ubuntu 19.10 (3eme pc!), cela ne fonctionne pas.
A partir du fichier .deb, les dépendances ne sont pas faites, et l'installation de ce fichier ne se fait pas...
dans gdebi :

Erreur : la dépendance ne peut être satisfaite : libavformat57(>=7:3.4.6)

Une solution facile? sinon, je réinstalle la 18.04...

et dans la console

enfant1@enfant1-Latitude-E6520:~/Téléchargements$ sudo apt install openboard_ubuntu_18.04_1.5.3_amd64.deb 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet openboard_ubuntu_18.04_1.5.3_amd64.deb
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « openboard_ubuntu_18.04_1.5.3_amd64.deb »
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « openboard_ubuntu_18.04_1.5.3_amd64.deb »
enfant1@enfant1-Latitude-E6520:~/Téléchargements$ ls -la
total 101876
drwxr-xr-x  3 enfant1 enfant1     4096 déc.  13 22:58 .
drwxr-xr-x 21 enfant1 enfant1     4096 déc.  13 22:56 ..
-rw-r--r--  1 enfant1 enfant1 23995070 déc.  11 16:59 openboard_ubuntu_16.04_1.5.3_amd64.deb
-rw-r--r--  1 enfant1 enfant1 24469868 déc.  13 22:58 openboard_ubuntu_18.04_1.5.3_amd64.deb
drwxr-xr-x  3 enfant1 enfant1     4096 déc.  13 22:54 ubuntu_install_libreoffice_ecole_2_0_5
-rw-r--r--  1 enfant1 enfant1 55833104 déc.  13 22:53 ubuntu_install_libreoffice_ecole_2_0_5.zip
enfant1@enfant1-Latitude-E6520:~/Téléchargements$ 

Dernière modification par Milkdo (Le 14/12/2019, à 18:16)

Hors ligne

#19 Le 14/12/2019, à 18:45

inbox

Re : [RESOLU] Openboard sur 18.04

Le plus simple, pour installer un Deb qui ne provient pas des dépôts est d'utiliser gdebi. L'avantage est que les dépendances nécessaires sont installées automatiquement.

Pour l'utiliser dans ton cas, cela donne :

sudo gdebi Téléchargements/openboard_ubuntu_18.04_1.5.3_amd64.deb

Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#20 Le 14/12/2019, à 19:01

Milkdo

Re : [RESOLU] Openboard sur 18.04

C'est bien ce que je faisais en mode graphique...
Donc, la meme erreur dans la console...

enfant1@enfant1-Latitude-E6520:~$ sudo gdebi Téléchargements/openboard_ubuntu_18.04_1.5.3_amd64.deb
[sudo] Mot de passe de enfant1 : 
Reading package lists... Done
Building dependency tree        
Reading state information... Done
Reading state information... Done
Ce paquet ne peut pas être installé
Dependency is not satisfiable: libavformat57 (>= 7:3.4.6)

enfant1@enfant1-Latitude-E6520:~$ 

Hors ligne

#21 Le 14/12/2019, à 19:16

inbox

Re : [RESOLU] Openboard sur 18.04

Le paquet libavformat57 n'existe que pour la version 18.04.

De toute manière, pour un PC standard et si ce n'est pas un modèle très récent, il vaut mieux installer une version LTS comme la 18.04. Donc, oui, réinstalle la 18.04.


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#22 Le 14/12/2019, à 19:33

Milkdo

Re : [RESOLU] Openboard sur 18.04

merci merci pour tout!

Hors ligne

#23 Le 08/01/2020, à 09:59

fwehrli

Re : [RESOLU] Openboard sur 18.04

Bonjour,
Je suis professeur des écoles et j'utilise Openboard sur Ubuntu 16.04 + tbi Promethean.
Promethean est enfin presqu' à jour pour ubuntu. On peut utiliser le tbi sur ubuntu 18.04 (noyau 4.18.0.25 maxi).
Je confirme que Openboard ne permet pas l'interactivité du stylet si on n'a pas le driver du tbi (pour moi activdriver). Sinon je ne serai pas obligé d'attendre plusieurs années pour faire une mise à niveau ubuntu.
Merci pour cette page qui m'a permis de tester l'installation d'openboard sur ubuntu 18.04 (ordinateur personnel) avant de faire de même sur mon pc professionnel.
Tout a l'air de fonctionner, je n'ai rien eu à faire après l'installation avec gdebi.
J'ai pu également exporter tous mes documents et dossiers de openboard sur ubuntu 16 vers un fichier .ubz et l'importer sur mon pc ubuntu 18.04 afin de tous récupérer.
Il ne me reste plus qu'à faire un lanceur avec un beau logo.

Hors ligne

#24 Le 08/01/2020, à 10:21

TheSun

Re : [RESOLU] Openboard sur 18.04

Pour info, OpenBoard est présent en paquet Flatpak donc pas besoin de bidouiller et d'installer des dépendances pour le faire fonctionner, il s'installe très facilement via cette alternative.

https://flathub.org/apps/details/ch.openboard.OpenBoard

Pour ceux qui n'ont jamais utilisé Flatpak de leur vie, en prérequis il faut installer flatpak et ajouter le dépot flathub puis ensuite vous pourrez installer vos flatpaks
(a noté que ceux sous Linux Mint ont déjà flatpak de base).

Dernière modification par TheSun (Le 08/01/2020, à 10:21)

#25 Le 08/01/2020, à 10:26

fwehrli

Re : [RESOLU] Openboard sur 18.04

Si ça peut aider quelqu'un, je viens de créer un lancer openboard.desktop.
[Desktop Entry]
Type=Application
Name=OpenBoard
GenericName=OpenBoard
Comment=Lanceur OpenBoardcommentaire/description du programme
Icon=/home/wehrli/Documents/Openboard_logo.png #il peut s'agir d'un chemin, ou alors du nom d'une icône contenue dans votre thème d'icônes
Exec=openboard
Terminal=true  #ouvrir ou non un terminal lors de l'exécution du programme (false ou true)
StartupNotify=true  #notification de démarrage ou non (false ou true)
Categories=Application  #Exemple: Categories=Application;Game;ArcadeGame;

Il faut télécharger un logo l'enregistrer et indiquer le chemin après le champ "Icon".
Déclarer le fichier exécutable dans les propriétés.
Lancer le fichier. Openboard doit s'ouvrir.
Si on veut l'ajouter dans le menu de Gnome: ne pas fermer openboard mais aller sur le bureau et faire un clic droite sur le logo d'openboard et choisir ajouter aux favoris. Voilà votre logo apparaitra et Openboard se lancera depuis votre bureau.

Hors ligne